For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tags

Tags

Find an existing Resource by identifier

get
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json

List of tags

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

Tag-Typen

Possible values:
labelstringRequired

Beschriftung des Tags

colorstringOptional

Farbe für die Anzeige des Tags

editColorstringOptional

Farbe in Verwaltungs-GUI

searchColorstringOptional

Farbe in Such-GUI

get/cmn/tags/{id}
GET /api/cmn/tags/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "COMMON",
  "label": "text",
  "color": "text",
  "editColor": "text",
  "searchColor": "text",
  "tagGroup": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Update existing Resource

put
Path parameters
idinteger · int64Required

an identifier

Body

List of tags

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

Tag-Typen

Possible values:
labelstringRequired

Beschriftung des Tags

colorstringOptional

Farbe für die Anzeige des Tags

editColorstringOptional

Farbe in Verwaltungs-GUI

searchColorstringOptional

Farbe in Such-GUI

Responses
200

successful operation

application/json

List of tags

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

Tag-Typen

Possible values:
labelstringRequired

Beschriftung des Tags

colorstringOptional

Farbe für die Anzeige des Tags

editColorstringOptional

Farbe in Verwaltungs-GUI

searchColorstringOptional

Farbe in Such-GUI

put/cmn/tags/{id}
PUT /api/cmn/tags/{id} HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "version": "text",
  "info": {},
  "id": "text",
  "type": "COMMON",
  "label": "text",
  "color": "text",
  "editColor": "text",
  "searchColor": "text",
  "tagGroup": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "COMMON",
  "label": "text",
  "color": "text",
  "editColor": "text",
  "searchColor": "text",
  "tagGroup": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Delete an existing Resource

delete
Path parameters
idinteger · int64Required

an identifier

Responses
200

successful operation

application/json
contextstringOptional

message context

messageValuestringOptional

message

delete/cmn/tags/{id}
DELETE /api/cmn/tags/{id} HTTP/1.1
Host: 10.102.24.197:32795
Accept: */*
{
  "context": "text",
  "messageValue": "text"
}

Create new Resource

post
Body

List of tags

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

Tag-Typen

Possible values:
labelstringRequired

Beschriftung des Tags

colorstringOptional

Farbe für die Anzeige des Tags

editColorstringOptional

Farbe in Verwaltungs-GUI

searchColorstringOptional

Farbe in Such-GUI

Responses
200

successful operation

application/json

List of tags

versionstringOptional

Version Identifier for this Object (for PUT)

idstringOptional

Unique identifier of the Object

typestring · enumRequired

Tag-Typen

Possible values:
labelstringRequired

Beschriftung des Tags

colorstringOptional

Farbe für die Anzeige des Tags

editColorstringOptional

Farbe in Verwaltungs-GUI

searchColorstringOptional

Farbe in Such-GUI

post/cmn/tags
POST /api/cmn/tags HTTP/1.1
Host: 10.102.24.197:32795
Content-Type: application/json
Accept: */*
Content-Length: 166

{
  "version": "text",
  "info": {},
  "id": "text",
  "type": "COMMON",
  "label": "text",
  "color": "text",
  "editColor": "text",
  "searchColor": "text",
  "tagGroup": {
    "id": "text",
    "label": "text"
  }
}
{
  "version": "text",
  "info": {
    "createdAt": "2026-01-01T00:00:00.000Z",
    "createdFrom": "text",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "updatedFrom": "text"
  },
  "id": "text",
  "type": "COMMON",
  "label": "text",
  "color": "text",
  "editColor": "text",
  "searchColor": "text",
  "tagGroup": {
    "id": "text",
    "label": "text",
    "description": "text"
  }
}

Last updated

Was this helpful?